Bug 121224 - Drawing errors
Summary: Drawing errors
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mc   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-19 13:13 UTC by Leonard den Ottolander
Modified: 2013-07-02 22:59 UTC (History)
2 users (show)

Fixed In Version: 4.6.1-0.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 13:38:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonard den Ottolander 2004-04-19 13:13:57 UTC
mc-4.6.0-8.4, LANG=en_US-ISO-8859-1

In bug 98237 Maciej Żenczykowski wrote:

when viewing a text file beginning with the letter 'l'
(i.e. echo "l" > /tmp/file; run 'xterm' then 'mc' and select /tmp/file
and press
F3 for view or F4 for edit) results in the 'l' not being displayed
(instead you can still see the upper-left corner character from the file
list) while the entire rest of the screen is OK.
I've had this happen with various characters in the first column of the
editor (not only on the first line) - never seen this behaviour on the
console.

I can reproduce this behaviour, also in a gnome-terminal, so this is
an mc issue. The "l" might also end up in the upper left corner after
quiting the editor.

Not sure if this is a UTF-8 issue, or a general drawing flaw.

Comment 1 Jindrich Novy 2004-11-08 13:38:47 UTC
Leonard, Maciej, this is no more problem with mc-4.6.1-0.9 and
xterm-192-1.


Note You need to log in before you can comment on or make changes to this bug.